﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="KrampeBBS900RedLine">
	<annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
    <name>
        <en>Krampe BBS 900 Red Line</en>
        <de>Krampe BBS 900 Red Line</de>
    </name>
	<typeDesc>$l10n_TypeDesc_Tipper</typeDesc>
    <filename>KrampeBBS900RedLine.png</filename>

    <size width="4" length="12"/>

    <wheels autoRotateBackSpeed="2.0">
        <wheel driveMode="0" repr="2>1" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="10" damper="5" mass="0.15" steeringAxleScale="0.3" steeringAxleRotMax="10" steeringAxleRotMin="-10" lateralStiffness="2" />
        <wheel driveMode="0" repr="2>2" driveNode="2>2|0" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="10" damper="5" mass="0.15" steeringAxleScale="0.3" steeringAxleRotMax="10" steeringAxleRotMin="-10" lateralStiffness="2" />
        <wheel driveMode="0" repr="3>1" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="10" damper="5" mass="0.15" lateralStiffness="2" />
        <wheel driveMode="0" repr="3>2" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="10" damper="5" mass="0.15" lateralStiffness="2" />
        <wheel driveMode="0" repr="4>1" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="10" damper="5" mass="0.15" steeringAxleScale="-0.7" steeringAxleRotMax="25" steeringAxleRotMin="-25" lateralStiffness="2" />
        <wheel driveMode="0" repr="4>2" radius="0.7" deltaY="0.27" suspTravel="0.35" spring="10" damper="5" mass="0.15" steeringAxleScale="-0.7" steeringAxleRotMax="25" steeringAxleRotMin="-25" lateralStiffness="2" />
    </wheels>
    <brakeForce>0.8</brakeForce>
    <steeringAxleAngleScale startSpeed="5" endSpeed="70" />
	<downForce>8</downForce>
    <capacity>28565</capacity>
	<massPerFillLevel value="0.00005" />

	<lightCoronas>
		<lightCorona index="0>0|10|0" />
	</lightCoronas>
	
	<lightsaddon lightsStayOn="true">
		<light type="dirLeft" index="0>0|10|3|1" />
		<light type="dirRight" index="0>0|10|3|0" />
		<light type="brake" index="0>0|10|2" />
		<light type="reverse" index="0>0|10|1" />
	</lightsaddon>

    <fillPlanes>
        <fillPlane type="wheat">
            <node index="0>0|9|0|6|0">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="rape">
            <node index="0>0|9|0|6|1">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="chaff">
            <node index="0>0|9|0|6|2">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="maize">
            <node index="0>0|9|0|6|3">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="potato">
            <node index="0>0|9|0|6|4">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="sugarBeet">
            <node index="0>0|9|0|6|5">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="manure">
            <node index="0>0|9|0|6|6">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 0.67 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
    </fillPlanes>

	<!--Variable Body Anfang-->
	<variableBody activeIdx="1">
	<node name="Aufbau1" capacity="28565" fruitTypes="wheat rape maize barley potato sugarBeet manure"/>
	<node name="Aufbau2" capacity="40900" fruitTypes="wheat rape maize barley potato sugarBeet manure">
		<part index1="0>0|9|0|0" index2="0>0|9|0|2|0"/>
	<fillPlanes>
        <fillPlane type="wheat">
            <node index="0>0|9|0|6|0">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="rape">
            <node index="0>0|9|0|6|1">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="chaff">
            <node index="0>0|9|0|6|2">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="maize">
            <node index="0>0|9|0|6|3">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="potato">
            <node index="0>0|9|0|6|4">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="sugarBeet">
            <node index="0>0|9|0|6|5">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
		<fillPlane type="manure">
            <node index="0>0|9|0|6|6">
				<key time="0" y="0" scale="0.866 0 1"/>
                <key time="0.177" y="0" scale="1 0.133 1"/>
                <key time="1" y="0" scale="1 1 1"/>
            </node>
			<node index="0>0|9|0|7">
				<key time="0" y="0.283" scale="1 0.1 1"/>
				<key time="0.9" y="0.283" scale="1 0.95 1"/>
                <key time="1" y="0.283" scale="1 0.1 1"/>
            </node>
        </fillPlane>
    </fillPlanes>
	</node>
	</variableBody> 
	<!--Variable Body Ende-->
	
    <hydraulicSound file="$data/vehicles/steerable/deutz/hydraulicUp.wav" pitchOffset="0.9" volume="1.0" />
    <fillSound file="$data/maps/sounds/siloFillSound.wav" pitchOffset="1.0" volume="1.5" />
    <attacherJoint index="0>0|6" jointType="trailerLow"/>
    <trailerAttacherJoints>
        <trailerAttacherJoint index="0>0|7" low="false" maxRotLimit="10 80 80" />
    </trailerAttacherJoints>
	
	<!--Schlauch Anfang-->
	<implementLinks>
		<hose index="0>0|10|6" part="0>0|10|6|0" fixPoint="0>0|10|6|1" />
	</implementLinks>
	<!--Schlauch Ende-->

    <tipReferencePoints>
        <tipReferencePoint index="0>0|8|0" width="2.5" />
        <tipReferencePoint index="0>0|8|0" width="0.5" />
		<tipReferencePoint index="0>0|8|1" width="5" />
    </tipReferencePoints>

    <tipAnimations>
        <tipAnimation speedScale="1" animationName="tipAnimationBack" dischargeStartTime="1.5" dischargeEndTime="13" >
            <dischargeParticleSystems>
                <dischargeParticleSystem type="wheat" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="maize" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="barley" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBig.i3d" />
                <dischargeParticleSystem type="rape" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigRape.i3d" />
                <dischargeParticleSystem type="chaff" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSBigChaff.i3d" />
				<dischargeParticleSystem type="potato" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="particleSystems/trailerDPSBigPotato.i3d" />
                <dischargeParticleSystem type="sugarBeet" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="particleSystems/trailerDPSBigSugarBeet.i3d" />
				<dischargeParticleSystem type="manure" node="0>0|9|0|7" position="0 0 0" rotation="0 0 0" file="particleSystems/trailerDPSBigManure.i3d" />
            </dischargeParticleSystems>
        </tipAnimation>
        <tipAnimation speedScale="1" closeSpeedScale="-3" animationName="tipAnimationGrainDoor" dischargeStartTime="0.3" dischargeEndTime="45">
            <dischargeParticleSystems>
                <dischargeParticleSystem type="wheat" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="maize" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="barley" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmall.i3d" />
                <dischargeParticleSystem type="rape" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallRape.i3d" />
                <dischargeParticleSystem type="chaff" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallChaff.i3d" />
				<dischargeParticleSystem type="potato" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallPotato.i3d" />
				<dischargeParticleSystem type="sugarBeet" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/trailerDPSSmallSugarBeet.i3d" />
				<dischargeParticleSystem type="manure" node="0>0|9|0|2|6" position="0 0 0" rotation="0 0 0" file="particleSystems/trailerDPSSmallManure.i3d" />
            </dischargeParticleSystems>
        </tipAnimation>
		<tipAnimation speedScale="1" animationName="tipAnimationSide" dischargeStartTime="0" dischargeEndTime="12" >
            <dischargeParticleSystems>
                <dischargeParticleSystem type="wheat" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS900SideDPS.i3d" />
                <dischargeParticleSystem type="maize" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS900SideDPS.i3d" />
                <dischargeParticleSystem type="barley" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS900SideDPS.i3d" />
                <dischargeParticleSystem type="rape" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS900SideDPSRape.i3d" />
                <dischargeParticleSystem type="chaff" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="$data/vehicles/particleSystems/krampeBBS900SideDPSChaff.i3d" />
				<dischargeParticleSystem type="potato" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="particleSystems/krampeBBS900SideDPSPotato.i3d" />
                <dischargeParticleSystem type="sugarBeet" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="particleSystems/krampeBBS900SideDPSSugarBeet.i3d" />
				<dischargeParticleSystem type="manure" node="0>0|9|0|8" position="0 0 0" rotation="0 0 0" file="particleSystems/krampeBBS900SideDPSManure.i3d" />
            </dischargeParticleSystems>
        </tipAnimation>
    </tipAnimations>

    <fillRootNode index="0>" />
    <exactFillRootNode index="0>0|12" />
    <fillAutoAimTargetNode index="0>0|13" />
    <fillMassNode index="0>" />

    <fillTypes fruitTypes="wheat rape maize barley chaff potato sugarBeet manure"/>

    <movingTools>
        <!-- support -->
        <movingTool index="0>0|10|4" componentJointIndex="0" anchorActor="0"/>
		<!-- sideTipping -->
		<movingTool index="0>0|9">
            <dependentPart index="0>0|10|5" />
			<dependentPart index="0>0|10|5|0" />
        </movingTool>
		<!-- backTipping -->
		<movingTool index="0>0|9|0|1">
			<dependentPart index="0>0|9|0|1|0" />
        </movingTool>
		<movingTool index="0>0|9|0|2">
            <dependentPart index="0>0|9|0|1|0" />
        </movingTool>
		<movingTool index="0>0|9|0">
            <dependentPart index="0>0|10|5" />
			<dependentPart index="0>0|10|5|0" />
        </movingTool>
		<movingTool index="0>0|9|0|2|2">
            <dependentPart index="0>0|9|0|2|2|0" />
        </movingTool>
    </movingTools>

    <movingParts>  
        <movingPart index="0>0|9|0|1|0" referencePoint="0>0|9|0|2|5" referenceFrame="0>0">
            <translatingPart index="0>0|9|0|1|0|0" />
        </movingPart>
		<movingPart index="0>0|9|0|2|2|0" referencePoint="0>0|9|0|2|4|0|0" referenceFrame="0>0|9|0|2|2|1"/>
		<movingPart index="0>0|10|5" referencePoint="0>0|9|0|9" referenceFrame="0>0" lockAxis="1"/>
		<movingPart index="0>0|10|5|0" referencePoint="0>0|9|0|9" referenceFrame="0>0" lockAxis="3">
			<translatingPart index="0>0|10|5|0|0" />
			<translatingPart index="0>0|10|5|0|0|0" />
			<translatingPart index="0>0|10|5|0|0|0|0" />
			<translatingPart index="0>0|10|5|0|0|0|0|0" />
			<translatingPart index="0>0|10|5|0|0|0|0|0|0" />
			<translatingPart index="0>0|10|5|0|0|0|0|0|0|0" />
        </movingPart>
    </movingParts>

    <animations>
		<!-- backtipping -->
		<animation name="tipAnimationBack">
			<part node="0>0|9|0|1" startTime="0" endTime="0.9" startRot="0 0 0" endRot="-15 0 0" />
            <part node="0>0|9|0|2" startTime="1" endTime="4" startRot="0 0 0" endRot="63 0 0" />
			<part node="0>0|9|0" startTime="3" endTime="13" startRot="0 0 0" endRot="-47 0 0" />
        </animation>
		<!-- backtipping with opened graindoor -->
		<animation name="tipAnimationGrainDoor">
            <part node="0>0|9|0|2|4|0" startTime="0" endTime="0.6" startTrans="0 -0.136 0" endTrans="0 0.21 0" />
			<part node="0>0|9|0|2|2" startTime="0" endTime="0.6" startRot="0 0 0" endRot="0 0 60" />
			<part node="0>0|9|0" startTime="7" endTime="37" startRot="0 0 0" endRot="-47 0 0" />
        </animation>
		<!-- sidetipping -->
		<animation name="tipAnimationSide">
            <part node="0>0|9|0|5" startTime="0" endTime="0.4" startRot="0 0 0" endRot="0 0 66" />
			<part node="0>0|9" startTime="0.4" endTime="7.4" startRot="0 0 0" endRot="0 0 -37" />
        </animation>
        <!-- move support wheel down/up -->
        <animation name="moveSupport">
			<part node="2>2|1" startTime="0" endTime="0.05" visibility="false" />
			<part node="0>0|11" startTime="0" endTime="0.05" visibility="true" />
			<part node="2>2|1" startTime="0.05" endTime="0.1" visibility="true" />
			<part node="0>0|11" startTime="0.05" endTime="0.1" visibility="false" />
            <part node="0>0|10|4" startTime="0" endTime="0.2" startTrans="0.11483 -0.58086 3.48444" endTrans="0.11483 -0.9 3.48444" />
			<!--Animation Schlauch Anfang-->
			<part node="0>0|10|6" startTime="0" duration="0.25" startRot="0 0 0" endRot="48 5 0" />
			<!--Animation Schlauch Ende-->
		</animation>
    </animations>

    <support animationName="moveSupport" />

    <components count="5">
        <component1 centerOfMass="0 0.2 0" solverIterationCount="15" />
        <component2 solverIterationCount="15" />
        <joint component1="0" component2="1" index="0>0|10|4|0" rotLimit="0 0 0" transLimit="0 0 0" />
		<joint component1="2>" component2="0" index="0>0|0" rotLimit="0 0 0" transLimit="0 0.10 0" />
		<joint component1="3>" component2="0" index="0>0|1" rotLimit="0 0 0" transLimit="0 0.10 0" />
		<joint component1="4>" component2="0" index="0>0|2" rotLimit="0 0 0" transLimit="0 0.10 0" />
    </components>

    <schemaOverlay file="Schemas/KrampeUnSelected.png" fileSelected="Schemas/KrampeSelected.png" width="1" height="0.5" attacherJointPosition="0 0">
        <attacherJoint position="0.5 0" rotation="0" invertX="false" />
    </schemaOverlay>
	
	<!-- Feldwegstaub Anfang -->
	<drivingParticles threshold="0.005">
        <drivingParticle position=" 1 0.05 -3.25" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="1" minSpeed="5" maxSpeed="60"/>
        <drivingParticle position="-1 0.05 -3.25" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="2" minSpeed="5" maxSpeed="60"/>
		<drivingParticle position=" 1 0.05 -1.57" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="3" minSpeed="5" maxSpeed="60"/>
        <drivingParticle position="-1 0.05 -1.57" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="4" minSpeed="5" maxSpeed="60"/>
		<drivingParticle position=" 1 0.05  0.13" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="5" minSpeed="5" maxSpeed="60"/>
        <drivingParticle position="-1 0.05  0.13" rotation="0 0 0" file="PSystem/dustParticleSystem.i3d" wheel="6" minSpeed="5" maxSpeed="60"/>
	</drivingParticles>
	<!-- Feldwegstaub Ende -->
	
	<!-- Feldstaub Anfang -->
	<wheelParticleSystems file="PSystem/wheelParticleSystem.i3d" >
        <wheelParticleSystem node="0>0|14|0"  />
        <wheelParticleSystem node="0>0|14|1"  />
	    <wheelParticleSystem node="0>0|14|2"  />
	    <wheelParticleSystem node="0>0|14|3"  />
		<wheelParticleSystem node="0>0|14|4"  />
	    <wheelParticleSystem node="0>0|14|5"  />
	</wheelParticleSystems>	
	<!-- Feldstaub Ende -->
</vehicle>